# Copyright (C) 1999 by Juergen Pfeifer
#
# Permission is hereby granted, free of charge, to any person obtaining a  
# copy of this software and associated documentation files (the            
# "Software"), to deal in the Software without restriction, including      
# without limitation the rights to use, copy, modify, merge, publish,      
# distribute, distribute with modifications, sublicense, and/or sell       
# copies of the Software, and to permit persons to whom the Software is    
# furnished to do so, subject to the following conditions:                 
#                                                                          
# The above copyright notice and this permission notice shall be included  
# in all copies or substantial portions of the Software.                   
#                                                                          
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   
# IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    
# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    
# THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               
#                                                                          
# Except as contained in this notice, the name(s) of the above copyright   
# holders shall not be used in advertising or otherwise to promote the     
# sale, use or other dealings in this Software without prior written       
# authorization.          
#
# ---------------------------------------------------------------------------
#  Author: Jrgen Pfeifer <Juergen.Pfeifer@T-Online.de>
# ---------------------------------------------------------------------------
#
# RPM packaging for GNU plotutils
#
Packager:      Jrgen Pfeifer <Juergen.Pfeifer@t-online.de>
Summary:       GNU plotutils tools and library
Name:          plotutils
Version:       2.2
Release:       1
Copyright:     LGPL
Group:         Libraries
Buildroot:     /var/tmp/plotutils-%{version}-root
Autoreq:       No
Autoreqprov:   No
Provides:      libplot.so.2
Requires:      glibc >= 2.0.7
#
Source:        ftp://prep.ai.mit.edu/pub/gnu/plotutils/plotutils-%{version}.tar.gz
#
# ---------------------------------------------------------------------------
%description 
This is the GNU plotutils set of tools and library.
#
# ---------------------------------------------------------------------------
%prep
%setup -q 
# ---------------------------------------------------------------------------
%build
OS=`echo $RPM_OS | tr '[A-Z]' '[a-z]'`
./configure --prefix=/usr --with-motif
make 
# ---------------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
gzip -9fn $RPM_BUILD_ROOT/usr/info/*.info*
# ---------------------------------------------------------------------------
%clean 
rm -fr $RPM_BUILD_ROOT
# ---------------------------------------------------------------------------
%post -p /sbin/ldconfig
# ---------------------------------------------------------------------------
%postun -p /sbin/ldconfig
# ---------------------------------------------------------------------------
%files
%defattr(-,bin,bin)
%doc AUTHORS COMPAT COPYING INSTALL* KNOWN_BUGS NEWS ONEWS PROBLEMS
%doc README THANKS TODO
%doc doc info ode-examples test
/usr
