------------------------------------------------------------------------------
--                                                                          --
--                           GNAT libplot binding                           --
--                                                                          --
--                                  Sample                                  --
--                                                                          --
--                                 B O D Y                                  --
--                                                                          --
------------------------------------------------------------------------------
-- Copyright (c) 1998 by Juergen Pfeifer                                    --
--                                                                          --
-- Permission is hereby granted, free of charge, to any person obtaining a  --
-- copy of this software and associated documentation files (the            --
-- "Software"), to deal in the Software without restriction, including      --
-- without limitation the rights to use, copy, modify, merge, publish,      --
-- distribute, distribute with modifications, sublicense, and/or sell       --
-- copies of the Software, and to permit persons to whom the Software is    --
-- furnished to do so, subject to the following conditions:                 --
--                                                                          --
-- The above copyright notice and this permission notice shall be included  --
-- in all copies or substantial portions of the Software.                   --
--                                                                          --
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  --
-- OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               --
-- MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   --
-- IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   --
-- DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    --
-- OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    --
-- THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               --
--                                                                          --
-- Except as contained in this notice, the name(s) of the above copyright   --
-- holders shall not be used in advertising or otherwise to promote the     --
-- sale, use or other dealings in this Software without prior written       --
-- authorization.                                                           --
------------------------------------------------------------------------------
--  Author: Juergen Pfeifer <Juergen.Pfeifer@T-Online.de> 1998
--  Version Control
--  $Revision: 1.4 $
------------------------------------------------------------------------------
--
--  This is a very simple sample program.

pragma Warnings (Off);
with GNU.plotutil.Motif;
pragma Warnings (On);

with GNU.plotutil.Device.Direct;
use  GNU.plotutil;
with GNU.plotutil.fplot;

procedure Sample is

   package X_Plotter is new GNU.plotutil.Device.Direct (X_Device_Type);
   package MyPlotter renames X_Plotter;

   type Real is new Float;
   subtype Coordinate is Real range -1000.0 .. +1000.0;
   package FP is new GNU.plotutil.fplot (Coordinate); use FP;

   procedure Draw_C_Curve (X, Y : Coordinate; Order : Integer);

   Max_Order : constant := 10;

   procedure Draw_C_Curve (X, Y : Coordinate; Order : Integer) is
   begin
      if Order >= Max_Order then
         Continue_Relative (X, Y);
      else
         Draw_C_Curve (0.5 * (X - Y), 0.5 * (X + Y), Order + 1);
         Draw_C_Curve (0.5 * (X + Y), 0.5 * (X - Y), Order + 1);
      end if;
   end Draw_C_Curve;

begin
   Select_Plotter (MyPlotter.Create);
   Open;
   Space (0.0, 0.0, 1000.0, 1000.0);
   Background_ColorName ("yellow");
   Line_Width (0.25);
   Pen_ColorName ("peru");
   Erase;
   Move (600.0, 300.0);
   Label (Text => "Test");
   Draw_C_Curve (0.0, 400.0, 0);
   Close;
   Delete;

end Sample;
