------------------------------------------------------------------------------
--                                                                          --
--                           GNAT libplot binding                           --
--                                                                          --
--                           GNU.plotutil.Device                            --
--                                                                          --
--                                 S P E C                                  --
--                                                                          --
------------------------------------------------------------------------------
-- Copyright (c) 1998 by Juergen Pfeifer                                    --
--                                                                          --
-- Permission is hereby granted, free of charge, to any person obtaining a  --
-- copy of this software and associated documentation files (the            --
-- "Software"), to deal in the Software without restriction, including      --
-- without limitation the rights to use, copy, modify, merge, publish,      --
-- distribute, distribute with modifications, sublicense, and/or sell       --
-- copies of the Software, and to permit persons to whom the Software is    --
-- furnished to do so, subject to the following conditions:                 --
--                                                                          --
-- The above copyright notice and this permission notice shall be included  --
-- in all copies or substantial portions of the Software.                   --
--                                                                          --
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS  --
-- OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF               --
-- MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.   --
-- IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,   --
-- DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR    --
-- OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR    --
-- THE USE OR OTHER DEALINGS IN THE SOFTWARE.                               --
--                                                                          --
-- Except as contained in this notice, the name(s) of the above copyright   --
-- holders shall not be used in advertising or otherwise to promote the     --
-- sale, use or other dealings in this Software without prior written       --
-- authorization.                                                           --
------------------------------------------------------------------------------
--  Author: Juergen Pfeifer <Juergen.Pfeifer@T-Online.de> 1998
--  Version Control
--  $Revision: 1.3 $
------------------------------------------------------------------------------
package GNU.plotutil.Device is
   --  No public components

   Meta_Device_Type : constant String := "meta";
   PNM_Device_Type  : constant String := "pnm";
   GIF_Device_Type  : constant String := "gif";
   AI_Device_Type   : constant String := "ai";
   FIG_Device_Type  : constant String := "fig";
   HPGL_Device_Type : constant String := "hpgl";
   PCL_Device_Type  : constant String := "pcl";
   PS_Device_Type   : constant String := "ps";
   TEK_Device_Type  : constant String := "tek";
   X_Device_Type    : constant String := "X";
   XDRW_Device_Type : constant String := "Xdrawable";

private
   function New_Plotter (Device_Type, Filename : String) return Plotter;
   --  Create a new plotter of the specified device type.
   --  Write all plotcommands to the named file. The file will be created
   --  if it doesn't exist. If it exists it will be recreated.

   function New_Plotter (Device_Type : String) return Plotter;
   --  Write all commands to Standard_Output

end GNU.plotutil.Device;
